apiVersion: jaegertracing.io/v1
kind: Jaeger
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"jaegertracing.io/v1","kind":"Jaeger","metadata":{"annotations":{"maistra.io/mesh-generation":"1.1.1-5.el8-1"},"labels":{"app.kubernetes.io/component":"tracing","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"tracing","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"1.1.1-5.el8-1","chart":"tracing","heritage":"Tiller","maistra-version":"1.1.1","maistra.io/owner":"istio-system","release":"istio"},"name":"jaeger","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic-install","uid":"bf736533-986a-4a96-bf18-a70c822fc624"}]},"spec":{"affinity":{"nodeAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["ppc64le"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["s390x"]}]},"weight":2}],"requiredDuringSchedulingIgnoredDuringExecution":{"nodeSelectorTerms":[{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64","ppc64le","s390x"]}]}]}}},"agent":{"annotations":null},"allInOne":{"annotations":null,"options":{"log-level":"debug","query":{"base-path":"/"}}},"ingress":{"annotations":null,"enabled":true,"openshift":{"htpasswdFile":"/etc/proxy/htpasswd/auth","sar":"{\"namespace\": \"istio-system\", \"resource\": \"pods\", \"verb\": \"get\"}"},"security":"oauth-proxy"},"resources":{"limits":null,"requests":{"cpu":"10m","memory":"128Mi"}},"storage":{"options":{"memory":{"max-traces":50000}}},"strategy":"allInOne","volumeMounts":[{"mountPath":"/etc/proxy/htpasswd","name":"secret-htpasswd"}],"volumes":[{"name":"secret-htpasswd","secret":{"secretName":"htpasswd"}}]}}
    maistra.io/mesh-generation: 1.1.1-5.el8-1
  creationTimestamp: "2020-05-11T15:32:24Z"
  generation: 3
  labels:
    app.kubernetes.io/component: tracing
    app.kubernetes.io/instance: istio-system
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: tracing
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: 1.1.1-5.el8-1
    chart: tracing
    heritage: Tiller
    jaegertracing.io/operated-by: openshift-operators.jaeger-operator
    maistra-version: 1.1.1
    maistra.io/owner: istio-system
    release: istio
  name: jaeger
  namespace: istio-system
  ownerReferences:
  - apiVersion: maistra.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: ServiceMeshControlPlane
    name: basic-install
    uid: bf736533-986a-4a96-bf18-a70c822fc624
  resourceVersion: "2751336"
  selfLink: /apis/jaegertracing.io/v1/namespaces/istio-system/jaegers/jaeger
  uid: 820fa57d-eaa2-4a98-bdc9-83f55191131d
spec:
  affinity:
    nodeAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - preference:
          matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - amd64
        weight: 2
      - preference:
          matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - ppc64le
        weight: 2
      - preference:
          matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - s390x
        weight: 2
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - amd64
            - ppc64le
            - s390x
  agent:
    options: {}
    resources: {}
  allInOne:
    options:
      log-level: debug
      query:
        base-path: /
    resources: {}
  collector:
    options: {}
    resources: {}
  ingester:
    options: {}
    resources: {}
  ingress:
    enabled: true
    openshift:
      htpasswdFile: /etc/proxy/htpasswd/auth
      sar: '{"namespace": "istio-system", "resource": "pods", "verb": "get"}'
    options: {}
    resources: {}
    security: oauth-proxy
  query:
    options: {}
    resources: {}
  resources:
    requests:
      cpu: 10m
      memory: 128Mi
  sampling:
    options: {}
  storage:
    cassandraCreateSchema: {}
    dependencies:
      image: jaegertracing/spark-dependencies
      resources: {}
      schedule: 55 23 * * *
    elasticsearch:
      nodeCount: 3
      redundancyPolicy: SingleRedundancy
      resources:
        limits:
          memory: 16Gi
        requests:
          cpu: "1"
          memory: 16Gi
      storage: {}
    esIndexCleaner:
      image: registry.redhat.io/distributed-tracing/jaeger-es-index-cleaner-rhel7@sha256:09cb783968fc1dab66e8a2e788105b3b2ac0d1ef2ae9c8fc763b149ce8b332f2
      numberOfDays: 7
      resources: {}
      schedule: 55 23 * * *
    esRollover:
      image: registry.redhat.io/distributed-tracing/jaeger-es-rollover-rhel7@sha256:7c1400ebcd3de94cc937ae337924f95aad45de9739e721c4c61db1f62279636f
      resources: {}
      schedule: 0 0 * * *
    options:
      memory:
        max-traces: 50000
    type: memory
  strategy: allinone
  ui:
    options:
      menu:
      - items:
        - label: Documentation
          url: https://access.redhat.com/documentation/en-us/openshift_container_platform/4.3/html/jaeger/index
        label: About
      - anchorTarget: _self
        label: Log Out
        url: /oauth/sign_in
  volumeMounts:
  - mountPath: /etc/proxy/htpasswd
    name: secret-htpasswd
  volumes:
  - name: secret-htpasswd
    secret:
      defaultMode: 420
      secretName: htpasswd
status:
  phase: ""
  version: 1.17.2
